Skip to main content
GET
Check if a student is eligible to self-request a test-out

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

studentId
string
required

The OneRoster sourcedId of the student

subject
string
required

The subject to check eligibility for

Response

Eligibility result

eligible
boolean
required
targetGrade
integer
required

The grade approved by this eligibility decision

Required range: -1 <= x <= 12
gradeAssessmentTag
enum<string>

For FastMath Kindergarten and above, the exact operation selected from the active sequence and approved by this eligibility decision

Available options:
addition,
subtraction,
multiplication,
division,
mixed-operations